use criterion::{black_box, criterion_group, criterion_main, Criterion};

use rtchallenge::matrices::Matrix4x4;

fn criterion_benchmark(c: &mut Criterion) {
    let mut i = Matrix4x4::identity();
    c.bench_function("inverse_new", |b| b.iter(|| i = i.inverse()));
    let mut i = Matrix4x4::identity();
    c.bench_function("inverse_old", |b| b.iter(|| i = i.inverse_old()));
}

criterion_group!(benches, criterion_benchmark);
criterion_main!(benches);
